/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.setterexample;

/**
 *
 * @author omozegieaziegbe
 */
class Car {

    private String make;
    private String model;
    private int year;

    // Setter methods for dynamic property modification
    public void setMake(String make) {
        this.make = make;
    }

    public void setModel(String model) {
        this.model = model;
    }

    // Setter method for year with validation
    public void setYear(int year) {
        // Validate year value before assigning
        if (year >= 1900 && year <= 2024) {
            this.year = year;
        } else {
            throw new IllegalArgumentException("Invalid year value. Please provide a year between 1900 and 2025.");
        }
    }

    // Getter methods
    public String getMake() {
        return make;
    }

    public String getModel() {
        return model;
    }

    public int getYear() {
        return year;
    }
}

public class SetterExample {

    public static void main(String[] args) {
        // Creating a Car object
        Car car = new Car();

        // Setting properties using setter methods
        car.setMake("Toyota");
        car.setModel("Camry");
        car.setYear(2022);

        // Accessing properties using getter methods
        System.out.println("Make: " + car.getMake());
        System.out.println("Model: " + car.getModel());
        System.out.println("Year: " + car.getYear());
    }
}
